        subroutine SHOPLO(FIXFIL,JUMP,I1,I2,I3,IERR)
      include 'UNITS.INC'
        integer FIXFIL,JUMP,I1,I2,I3,IERR,I,J,LRAIL
        character NAMECO*50, NAMEEC*50
      rewind PLTLUN(MACHNO)
      IERR = 0
      if (FIXFIL.eq.0) then
         IERR = 1
         go to 130
      endif
      read (PLTLUN(MACHNO),end=120,err=110) I1,I2,I3
      if (JUMP.eq.0) write (TTYOUT(MACHNO),5000) I1,I2,I3
5000  format (//' Number of chemicals: ',I2/' Simulation Mode:     ',I2/
     &   ' Number of segments:  ',I2//)
      do 100 I = 1, I1
         read (PLTLUN(MACHNO),end=120,err=110) NAMECO
         if (JUMP.ne.0) go to 100
         J = LRAIL(NAMECO,50)
         write (TTYOUT(MACHNO),5010) I,NAMECO(1:J)
5010     format (' Chemical: ',I2,1X,A)
100   continue
      read (PLTLUN(MACHNO),end=120,err=110) NAMEEC
      J = LRAIL(NAMEEC,50)
      if (JUMP.eq.0) write (TTYOUT(MACHNO),5020) NAMEEC(1:J)
5020  format (' Environment: ',A)
      go to 130
110   continue
      write (TTYOUT(MACHNO),5030)
5030  format (//' Error reading the plot file.')
      IERR = 3
      go to 130
120   continue
      write (TTYOUT(MACHNO),5040)
5040  format (//' End-of-file enountered while reading the',' plot file.
     &')
      IERR = 2
130   continue
      return
      end
